GrailsEnvironment (Grails 6.0.0)

Package: grails.web.servlet.context.support

## [Java] Class GrailsEnvironment

- grails.web.servlet.context.support.GrailsEnvironment

-     public class GrailsEnvironment
      extends org.springframework.web.context.support.StandardServletEnvironment

  Bridges Grails' existing environment API with the new Spring 3.1 environment profiles API.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private class` | `GrailsEnvironment.GrailsConfigPropertySource` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GrailsApplication` | `grailsApplication` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.context.support.StandardServletEnvironment` | `SERVLET_CONTEXT_PROPERTY_SOURCE_NAME, SERVLET_CONFIG_PROPERTY_SOURCE_NAME, JNDI_PROPERTY_SOURCE_NAME, SYSTEM_ENVIRONMENT_PROPERTY_SOURCE_NAME, SYSTEM_PROPERTIES_PROPERTY_SOURCE_NAME, IGNORE_GETENV_PROPERTY_NAME, ACTIVE_PROFILES_PROPERTY_NAME, DEFAULT_PROFILES_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsEnvironment (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Set<java.lang.String>` | `doGetActiveProfiles()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.context.support.StandardServletEnvironment` | `org.springframework.web.context.support.StandardServletEnvironment#initPropertySources(javax.servlet.ServletContext, javax.servlet.ServletConfig), org.springframework.web.context.support.StandardServletEnvironment#getRequiredProperty(java.lang.String, java.lang.Class), org.springframework.web.context.support.StandardServletEnvironment#getRequiredProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#resolveRequiredPlaceholders(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#containsProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getConversionService(), org.springframework.web.context.support.StandardServletEnvironment#setConversionService(org.springframework.core.convert.support.ConfigurableConversionService), org.springframework.web.context.support.StandardServletEnvironment#getDefaultProfiles(), org.springframework.web.context.support.StandardServletEnvironment#acceptsProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#acceptsProfiles(org.springframework.core.env.Profiles), org.springframework.web.context.support.StandardServletEnvironment#getPropertySources(), org.springframework.web.context.support.StandardServletEnvironment#validateRequiredProperties(), org.springframework.web.context.support.StandardServletEnvironment#getSystemEnvironment(), org.springframework.web.context.support.StandardServletEnvironment#setDefaultProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#setPlaceholderPrefix(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setPlaceholderSuffix(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setValueSeparator(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setIgnoreUnresolvableNestedPlaceholders(boolean), org.springframework.web.context.support.StandardServletEnvironment#setRequiredProperties([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#resolvePlaceholders(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setActiveProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#addActiveProfile(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getActiveProfiles(), org.springframework.web.context.support.StandardServletEnvironment#getSystemProperties(), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.Class, java.lang.Object), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.Class), org.springframework.web.context.support.StandardServletEnvironment#toString(), org.springframework.web.context.support.StandardServletEnvironment#merge(org.springframework.core.env.ConfigurableEnvironment), org.springframework.web.context.support.StandardServletEnvironment#wait(long), org.springframework.web.context.support.StandardServletEnvironment#wait(long, int), org.springframework.web.context.support.StandardServletEnvironment#wait(), org.springframework.web.context.support.StandardServletEnvironment#equals(java.lang.Object), org.springframework.web.context.support.StandardServletEnvironment#hashCode(), org.springframework.web.context.support.StandardServletEnvironment#getClass(), org.springframework.web.context.support.StandardServletEnvironment#notify(), org.springframework.web.context.support.StandardServletEnvironment#notifyAll()`

- - ### Field Detail

    - #### GrailsApplication grailsApplication

  - ### Constructor Detail

    - #### public GrailsEnvironment(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override protected java.util.Set<java.lang.String> doGetActiveProfiles()